#
# Conditional build:
%bcond_with	tests	# do not perform "make test". requires network access, https://github.com/fedora-python/pyp2rpm/issues/57

Summary:	Convert Python packages to RPM .spec files
Name:		pyp2rpm
Version:	3.3.2
Release:	4
License:	MIT
Group:		Development
Source0:	https://github.com/fedora-python/pyp2rpm/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	32a6c74763c1b1d8ea6a260750bd0176
Patch0:		default-savepath.patch
Patch1:		no-rpmdev-packager.patch
Patch2:		default-distro.patch
URL:		https://github.com/fedora-python/pyp2rpm
BuildRequires:	python3-flexmock >= 0.9.3
BuildRequires:	python3-setuptools
BuildRequires:	python3-wheel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-click
BuildRequires:	python3-jinja2
BuildRequires:	python3-pytest
BuildRequires:	python3-scripttest
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert Python packages to RPM .spec.

Users can provide their own templates for rendering the package
metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much
information though).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) py.test-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/pyp2rpm
%dir %{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}/__pycache__
%{py3_sitescriptdir}/%{name}/*.py
%{py3_sitescriptdir}/%{name}/command
%dir %{py3_sitescriptdir}/%{name}/templates
%{py3_sitescriptdir}/%{name}/templates/epel6.spec
%{py3_sitescriptdir}/%{name}/templates/epel7.spec
%{py3_sitescriptdir}/%{name}/templates/fedora.spec
%{py3_sitescriptdir}/%{name}/templates/macros.spec
%{py3_sitescriptdir}/%{name}/templates/mageia.spec
%{py3_sitescriptdir}/%{name}/templates/pld.spec
%{py3_sitescriptdir}/%{name}-%{version}-py*.egg-info
%changelog
* Sat Apr 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pyp2rpm.git;a=log;h=master

* Sat Apr 02 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ef14ddc
- relup

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9d541d8
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Rękorajski <baggins@pld-linux.org> c3a3869
- release 2 (by relup.sh)

* Sat Mar 06 2021 Jan Rękorajski <baggins@pld-linux.org> 45c8ad1
- build with python 3
- rediff patches

* Mon Apr 30 2018 Elan Ruusamäe <glen@pld-linux.org> 65b2716
- up to 3.3.2; switch to python3

* Sun Feb 04 2018 Elan Ruusamäe <glen@pld-linux.org> 58e10a6
- up to 3.3.0

* Fri Apr 21 2017 Elan Ruusamäe <glen@delfi.ee> 037f246
- up to 3.2.2

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> a9e5bda
- up to 3.1.3

* Mon Jun 27 2016 Elan Ruusamäe <glen@delfi.ee> d3776c9
- disable tests

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> 3db342a
- drop requires already present via pythonegg deps

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> f883d72
- 3.1.2; Use https in PyPI URL instead of http

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 41978a2
- pld template upstreamed (yay!)

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> f8fb92c
- run tests

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 4207335
- use github tarball

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 1588ee5
- up to 2.0.0

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 52c0e66
- up to 1.1.2

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 4fa3fef
- buildroot, postclean, clean install

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 7173656
- switch default distro and template to pld

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 41a9b90
- add pld spec template

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 8cd0374
- add templates/mageia.spec as pld.spec.tmpl

